<button class="btn btn-primary" (click)="addNewClicked();">Add New</button>
<button class="btn btn-primary" (click)="goToListClicked();" *ngIf="isAdd">Go To List</button>
<div class="row">

  <div class="col-lg-6 col-md-6 col-sm-12 offset-6" *ngIf="isAdd">
    <div class="form-group">
      <label>Title</label>
      <input type="text" id="t-p-title" name="t-p-title" class="form-control" [(ngModel)]="touristPlaceToAdd.Title">
    </div>
    <div class="form-group">
      <label>Description</label>
      <textarea type="text" id="t-p-description" name="t-p-description" class="form-control" [(ngModel)]="touristPlaceToAdd.Description">
            </textarea>
    </div>
    <div class="form-group">
      <label>Photo</label>
      <div class="form-group">
        <input type="file" #file name="image" (change)="fileProgress($event)" />
      </div>
      <div class="image-preview mb-3" *ngIf="previewUrl">
        <img src="{{previewUrl}}" height="120" width="100" class="right" />
      </div>
      <div class="mb-3" *ngIf="uploadedFilePath">
        {{uploadedFilePath}}
      </div>
    </div>
    <div class="form-group">
      <button type="button" class="btn btn-primary" (click)="saveTouristPlace();">Add</button>
    </div>
  </div>
  <div class="form-group col-lg-12 col-md-12 col-sm-12" *ngIf="!isAdd && touristPlace.Id!=0">
      <button class="btn btn-primary" (click)="previousClicked();"*ngIf="currentTouristPlaceIndex>0">Previous</button>
      <img [src]="constructImage(touristPlace.Image)" height="250" width="500" class="align-self-center" alt="" />
      <button class="btn btn-primary" (click)="nextClicked();" *ngIf="currentTouristPlaceIndex<touristPlaceList.length-1">Next</button>
  </div>
  <div class="form-group" *ngIf="!isAdd && touristPlace.Id!=0">
    <div class="row">
      <div class="col-lg-12 col-md-12 col-sm-12">
        <label>Title:</label>{{touristPlace.Title}}
        <input type="text" id="t-p-e-title" name="t-p-e-title" class="form-control" [(ngModel)]="touristPlace.Title">
      </div>
      <div class="col-lg-12 col-md-12 col-sm-12">
        <label>Description:</label>
        <textarea type="text" id="t-p-e-description" name="t-p-e-description" class="form-control" [(ngModel)]="touristPlace.Description" maxlength="500">
            </textarea>
      </div>

      <div class="btn btn-primary" (click)="editTouristPlace();" *ngIf="touristPlace.IsAbleToAction">Edit</div>
      <div class="btn btn-primary" (click)="deleteTouristPlace();"*ngIf="touristPlace.IsAbleToAction">Delete</div>
    </div>
  </div>
  <div class="col-lg-12 col-md-12 col-sm-12">
    <fieldset>
      <legend>Comments</legend>
      <div class="col-lg-12 col-md-12 col-sm-12" *ngFor="let cmnt of comments;">
        <label>{{cmnt.Text}}</label>
      </div>
      <label>Your comment:</label>
      <input type="text" name="t-p-comment" id="t-p-comment" [(ngModel)]="comment.Text" maxlength="500" />
      <button class="btn btn-primary" (click)="addComment();">Add Comment</button>
    </fieldset>
  </div>
  
    
    
</div>
